cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
188
Views
0
Helpful
4
Replies
Highlighted
Beginner

Questions about WLC2504 FUS Version to Upgrade Process

Hello people at the Community:

 

I would like to ask for some help with the following question: I would like to make an upgrade process for the FUS Version and IOS Software version of a AIR-CT2504-K9 Wireless LAN Controller.
The WLC has attached to it 16 APs: 15 AIR-CAP1602E-A-K9 access points and 1 AIR-AP2802E-A-K9 access point.

This WLC right now has the following version:


(Cisco Controller) >show sysinfo

Manufacturer's Name.............................. Cisco Systems Inc.
Product Name..................................... Cisco Controller
Product Version.................................. 8.2.151.0
Bootloader Version............................... 1.0.20
Field Recovery Image Version..................... 7.6.101.1
Firmware Version................................. PIC 16.0


Build Type....................................... DATA + WPS

System Name...................................... Cisco_26:30:04
System Location..................................
System Contact...................................
System ObjectID.................................. 1.3.6.1.4.1.9.1.1279

 

 

01 - Summary - edited.pngSummary screen of the WLC

 

08 - AP List - Edited.pngCurrent AP List of the WLC

 

I would like to upload the WLC to the following versions:

  • Field Upgrade Software: 2.0.0.0
  • Wireless LAN Controller Software: 8.3.150.0(ED)

To do the upgrade, the Software Release Documentation says that the WLC must have FUS 1.9.0.0 or higher to upgrade to version 8.3.150.0(ED).

 

So the questions I now have are:

  • Based on the Bootloader Version, and the Field Upgrade Version, What is the Current FUS version of this WLC? The Release Notes documents for FUS 1.9.0.0 and FUS 2.0.0.0 say contradictory things about the FUS version. I am kinda confused...

- The Release Notes for 1.9.0.0 says that the combination of Field Recovery Image: 7.6.101.1 and Bootloader: 1.0.20 means the WLC has a 1.9.0.0 FUS version.

- The Release Notes for 2.0.0.0 says that Bootloader: 1.0.20 (It does not mention the Field Recovery Image version) means the WLC has a 2.0.0.0 FUS version.

 

  • Based on the answer to the upper question, Can I upgrade the FUS version to 2.0.0.0 directly without problems? (to avoid the CSCuu46671 bug related to FUS 1.9.0.0) Or does the WLC already have the FUS 2.0.0.0? (in which case I must not install it again: The FUS Release Notes document says that the FUS image must be installed only once in a WLC).

 

  • The upgrade to Wireless LAN Controller Software 8.3.150.0(ED) supports both the 1602E and 2802E Access Points without problems, right?

If you need any more information, please let me know.
Thanks a lot for any help in this issue.

4 REPLIES 4
Hall of Fame Guru

Re: Questions about WLC2504 FUS Version to Upgrade Process


@David Chancusi wrote:

Bootloader Version............................... 1.0.20


This is the current FUS code.  Leave it alone.  

You can go directly to 8.3.150.0.

Beginner

Re: Questions about WLC2504 FUS Version to Upgrade Process

No. The FUS version and the Bootloader version are two different things.

The Bootloader Version of 1.0.20 is not the FUS version.

Software Download Center.pngDownloads Homepage in the Cisco website

As you can see in the image above, there is no thing such as 1.0.20 FUS version.

 

I am quite sure I can upgrade directly the WLC to Software Version 8.3.150.0. but I would really like to also upgrade the FUS version (if that is the case), for future maintenance of the WLC (after all, one day I will have to upgrade the FUS).

 

Anyway, thanks for the reply

omz Enthusiast
Enthusiast

Re: Questions about WLC2504 FUS Version to Upgrade Process

Hi

Are you upgrading FUS to use AVC and NetFlow? 

 

Release Notes Cisco Wireless Release 8.3.150.0

However, AVC for local mode APs is supported. If you are using a Cisco 2500 Series controller and you intend to use the Application Visibility and Control (AVC) and NetFlow protocol features, you must install Release 1.9.0.0 of Cisco Wireless LAN Controller FUS. This is not required if you are using other controller hardware models.

 

The upgrade to Wireless LAN Controller Software 8.3.150.0(ED) supports both the 1602E and 2802E Access Points without problems, right?

According to the release notes - 1600 and 2800 are supported AP series.

 

Regarding FUS upgrade - my experience has been not good. WLC bricked during FUS upgrade, TAC did RMA because they could not recover. WLC reboots few times during upgrade.. dont do remotely .. have someone physically present and consoled in. 

Beginner

Re: Questions about WLC2504 FUS Version to Upgrade Process

No. I am not upgrading the FUS version to use AVC and NetFlow.

And yes. The FUS version upgrade can be a quite delicate process. That is why I want to have as much certainty of the current FUS version to either:
- Upgrade it to the latest version (because some day the FUS version must be upgraded to whatever version is released.)
- Or leave it (knowing for a fact it has the latest version).

And yes. I will be:
- Phiscally present for the upgrade.
- With the Console Cable attached to the device.
- The device will be connected to a UPS.

Thanks anyway for the advices.

CreatePlease to create content
Content for Community-Ad
June's Community Spotlight Awards